Skip to main content
PATCH
C#

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

auth0-custom-domain
string

Custom domain to be used for this request

Required string length: 3 - 255

Path Parameters

id
string
required

ID of the user to update.

Body

blocked
boolean
default:false

Whether this user was blocked by an administrator (true) or not (false).

email_verified
boolean
default:false

Whether this email address is verified (true) or unverified (false). If set to false the user will not receive a verification email unless verify_email is set to true.

email
string<email> | null
default:john.doe@gmail.com

Email address of this user.

phone_number
string | null
default:+199999999999999

The user's phone number (following the E.164 recommendation).

Pattern: ^\+[0-9]{1,15}$
phone_verified
boolean
default:false

Whether this phone number has been verified (true) or not (false).

user_metadata
object

User metadata to which this user has read/write access.

app_metadata
object

User metadata to which this user has read-only access.

given_name
string | null
default:John

Given name/first name/forename of this user.

Required string length: 1 - 150
family_name
string | null
default:Doe

Family name/last name/surname of this user.

Required string length: 1 - 150
name
string | null
default:John Doe

Name of this user.

Required string length: 1 - 300
nickname
string | null
default:Johnny

Preferred nickname or alias of this user.

Required string length: 1 - 300
picture
string<strict-uri> | null
default:https://secure.gravatar.com/avatar/15626c5e0c749cb912f9d1ad48dba440?s=480&r=pg&d=https%3A%2F%2Fssl.gstatic.com%2Fs2%2Fprofiles%2Fimages%2Fsilhouette80.png

URL to picture, photo, or avatar of this user.

verify_email
boolean
default:false

Whether this user will receive a verification email after creation (true) or no email (false). Overrides behavior of email_verified parameter.

verify_phone_number
boolean
default:false

Whether this user will receive a text after changing the phone number (true) or no text (false). Only valid when changing phone number for SMS connections.

password
string | null
default:secret

New password for this user. Only valid for database connections.

Minimum string length: 1
connection
string
default:Initial-Connection

Name of the connection to target for this user update.

Minimum string length: 1
client_id
string
default:DaM8bokEXBWrTUFCiJjWn50jei6ardyX

Auth0 client ID. Only valid when updating email address.

Minimum string length: 1
username
string | null
default:johndoe

The user's username. Only valid if the connection requires a username.

Required string length: 1 - 128

Response

User successfully updated.

user_id
string
default:auth0|507f1f77bcf86cd799439020

ID of the user which can be used when interacting with other APIs.

email
string<email>
default:john.doe@gmail.com

Email address of this user.

email_verified
boolean
default:false

Whether this email address is verified (true) or unverified (false).

username
string
default:johndoe

Username of this user.

phone_number
string
default:+199999999999999

Phone number for this user. Follows the E.164 recommendation.

phone_verified
boolean
default:false

Whether this phone number has been verified (true) or not (false).

created_at
string<date-time>

Date and time when this user was created.

updated_at
string<date-time>

Date and time when this user was last updated/modified.

identities
object[]

Array of user identity objects when accounts are linked.

app_metadata
object

User metadata to which this user has read-only access.

user_metadata
object

User metadata to which this user has read/write access.

picture
string

URL to picture, photo, or avatar of this user.

name
string

Name of this user.

nickname
string

Preferred nickname or alias of this user.

multifactor
string[]

List of multi-factor authentication providers with which this user has enrolled.

multifactor_last_modified
string<date-time>

Last date and time this user's multi-factor authentication providers were updated.

last_ip
string

Last IP address from which this user logged in.

last_login
string<date-time>

Last date and time this user logged in.

last_password_reset
string<date-time>

Last date and time this user had their password reset.

logins_count
integer

Total number of logins this user has performed.

blocked
boolean

Whether this user was blocked by an administrator (true) or is not (false).

given_name
string

Given name/first name/forename of this user.

family_name
string

Family name/last name/surname of this user.